<template>
  <button
    class="hamburger block focus:outline-none"
    :class="{ 'is-active': active }"
    type="button"
    aria-label="menu"
    aria-controls="navbar-menu"
    :aria-expanded="active"
    v-on="$listeners"
  >
    <span class="hamburger-box">
      <span class="hamburger-inner mt-1"></span>
    </span>
  </button>
</template>

<script>
export default {
  name: 'NavbarBurger',
  props: {
    active: Boolean,
  },
};
</script>
